import { StyleSheet } from "react-native";
import { appFonts, fontSizes, windowHeight, windowWidth } from "@src/themes";
import { appColors } from "@src/themes";
import { external } from "../../../styles/externalStyle";

const styles = StyleSheet.create({
  container: {
    backgroundColor: appColors.primary,
    paddingTop: windowHeight(15),
    borderBottomLeftRadius: windowWidth(30),
    borderBottomRightRadius: windowWidth(30),
    paddingBottom: windowHeight(10),
  },
  containerStyle: {
    backgroundColor: appColors.lightGray,
    ...external.Pb_30,
    paddingBottom: windowHeight(0),
  },
  modelView: {
    alignSelf: "center",
    width: windowWidth(260),
  },
  swipeView: {
    position: "absolute",
    bottom: windowHeight(5),
    zIndex: 0,
    height: windowHeight(55),
    width: "100%",
    backgroundColor: "transparent",
    paddingHorizontal: windowHeight(5),
  },
  swipeContainer: {
    borderRadius: windowHeight(4),
    marginHorizontal: windowWidth(18),
    backgroundColor: appColors.primary,
    marginVertical: windowHeight(5.9),
  },
  activeRideGo: {
    width: windowHeight(55),
    height: windowHeight(55),
  },
  titleStyle: {
    fontFamily: appFonts.medium,
  },
  title: {
    color: appColors.go,
    fontSize: windowHeight(40),
    fontFamily: appFonts.bold,
  },
  homeBottom: {
    marginTop: windowHeight(-60),
    marginBottom: windowHeight(30),
    marginHorizontal: windowWidth(18),
  },
  madeBy: {
    fontFamily: appFonts.medium,
  },
  madeByContainer: {
    marginVertical: windowHeight(10),
    flexDirection: "row",
  },
  todayOfferContainer: {
    paddingHorizontal: windowHeight(3),
  },
  image: {
    height: windowHeight(300),
    width: windowWidth(400),
    alignSelf: "center",
    marginTop: windowHeight(50),
  },
  titles: {
    fontSize: fontSizes.FONT22,
    fontFamily: appFonts.medium,
    alignSelf: "center",
  },
  content: {
    // padding: 16,
  },

  horizontalList: {
    paddingVertical: 8,
  },
  card: {
    width: 100,
    height: 80,
    marginRight: 12,
    borderRadius: 12,
    backgroundColor: '#E8E8E8',
    alignItems: 'center',
    justifyContent: 'center',
  },
  box: {
    height: 80,
    backgroundColor: '#F2F2F2',
    borderRadius: 12,
    marginTop: 12,
  },
});

export default styles;
